/* Copyright (c) 2004 The Nutch Organization.  All rights reserved.   */
/* Use subject to the conditions in http://www.nutch.org/LICENSE.txt. */

package net.nutch.parse;

import net.nutch.protocol.Content;

/** A parser for content generated by a {@link net.nutch.protocol.Protocol}
 * implementation.  This interface is implemented by extensions.  Nutch's core
 * contains no page parsing code.
 */
public interface Parser {
  /** The name of the extension point. */
  public final static String X_POINT_ID = Parser.class.getName();

  /** Creates the parse for some content. */
  Parse getParse(Content c) throws ParseException;
}
